{{ define "title" }}
  <h2><i class="fab fa-docker"></i> {{ .Params.Image_Name }}</h2>
{{ end }}

{{ define "main" }}
  {{ $data := .Site.Data }}
  {{ with .Params }}
    <h2>Tags used</h2>

    {{ range $tag, $requests := .Tags }}
      <h4 class="card-header" id="{{ printf "#tag_%s" ( $tag | anchorize ) }}">
        {{ $.Page.Params.Image_name }}:{{ $tag }}
      </h4>
      <div class="table">
        <table class="card-table table table-striped">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">Project</th>
              <th scope="col">Job name</th>
              <th scope="col">Last job id</th>
              <th scope="col">Digest</th>
              <th scope="col">Last used at</th>
            </tr>
          </thead>
          <tbody>
            {{ $counter := 0 }}
            {{ range (sort (sort (sort $requests "project" "asc") "job_name" "asc") "last_used_at" "desc") }}
              {{ $counter = add $counter 1 }}
              <tr>
                <th scope="row">{{ int $counter }}</th>
                <td>
                  <a href="{{ printf "projects/%s" .project | urlize | relURL }}">{{ .project }}</a>
                </td>
                {{ $project_data := index $data.projects (split .project "/") }}
                <td>
                  <a href="{{ $project_data.project.web_url }}/-/jobs/{{ int .last_job_id }}"
                    >{{ .job_name }}
                  </a>
                </td>
                <td>
                  <a href="{{ $project_data.project.web_url }}/-/jobs/{{ int .last_job_id }}"
                    >{{ int .last_job_id }}</a
                  >
                </td>
                <td>
                  {{ .digest }}
                  {{ if .digest_used }}
                    <i
                      class="fas fa-check-circle"
                      data-bs-toggle="tooltip"
                      title="Digest was used
                    when pulling the image"
                      style="color:green"></i>
                  {{ end }}
                </td>
                <td>
                  <span
                    data-bs-toggle="tooltip"
                    data-bs-placement="top"
                    title="{{ .last_used_at | time.Format ":date_full" }} - {{ .last_used_at | time.Format ":time_full" }}"
                    >{{ .last_used_at | time.Format ":date_medium" }}</span
                  >
                </td>
              </tr>
            {{ end }}
          </tbody>
        </table>
      </div>
    {{ end }}
  {{ end }}
{{ end }}
